MIPI_DSI_GENERIC_WRI(9)

NAME
mipi_dsi_generic_write - transmit data using a generic write packet

SYNOPSIS

ssize_t mipi_dsi_generic_write(struct mipi_dsi_device * dsi, const void * payload, size_t size);

ARGUMENTS

dsi
    DSI peripheral device

payload
    buffer containing the payload

size
    size of payload buffer

DESCRIPTION

This function will automatically choose the right data type depending on the payload length.

RETURN

The number of bytes transmitted on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT